<template>
  <v-app-bar
    left
    app
    dense
    flat
    class="border-bottom-think"
    style="z-index: 100; background: white"
  >
    <v-app-bar-nav-icon class="hidden-md-and-up" @click="drawer = true" />
    <v-spacer class="hidden-md-and-up" />
    <!-- eslint-disable vue/no-v-html -->
    <div
      class="shrink img-positioning d-flex justify-center align-center"
      @click="$router.push('/')"
      v-html="require('@/assets/img/brand-logo.svg?include')"
    />
    <v-spacer />
    <div class="hidden-md-and-up" style="width: 48px" />
    <v-navigation-drawer v-model="drawer" temporary app>
      <v-list>
        <v-list-item-group active-class="accent--text">
          <v-list-item link nuxt to="/referral-program">
            <v-list-item-icon><v-icon>{{ icons.mdiAccountVoice }}</v-icon></v-list-item-icon>
            <v-list-item-content>
              <v-list-item-title>
                Referral program
              </v-list-item-title>
            </v-list-item-content>
          </v-list-item>
          <v-list-item link nuxt to="/claim-your-rebate">
            <v-list-item-icon><v-icon>{{ icons.mdiSackPercent }}</v-icon></v-list-item-icon>
            <v-list-item-content>
              <v-list-item-title>
                Claim your rebate
              </v-list-item-title>
            </v-list-item-content>
          </v-list-item>
          <v-list-item link nuxt to="/faq">
            <v-list-item-icon><v-icon>{{ icons.mdiFrequentlyAskedQuestions }}</v-icon></v-list-item-icon>
            <v-list-item-content>
              <v-list-item-title>
                FAQ
              </v-list-item-title>
            </v-list-item-content>
          </v-list-item>
        </v-list-item-group>
      </v-list>
    </v-navigation-drawer>
    <v-btn
      class="d-none d-md-inline-flex mr-2"
      nuxt
      text
      to="/hot-deals"
    >
      <span class="subtitle-1 font-weight-light text-capitalize">
        Hot deals
      </span>
    </v-btn>
    <v-menu offset-y open-on-hover eager>
      <template v-slot:activator="{ on }">
        <v-btn
          class="d-none d-md-inline-flex"
          text
          nuxt
          to="/claim-your-rebate"
          v-on="on"
        >
          <span class="subtitle-1 font-weight-light text-capitalize">
            200$ Reward
          </span>
        </v-btn>
      </template>
      <v-list>
        <v-list-item to="/referral-program" nuxt>
          <span class="subtitle-1 font-weight-light text-capitalize">
            50$ Referral
          </span>
        </v-list-item>
        <v-list-item to="/faq" nuxt>
          <span class="subtitle-1 font-weight-light text-capitalize">
            FAQ
          </span>
        </v-list-item>
      </v-list>
    </v-menu>

    <!-- <v-btn class="d-none d-md-inline-flex" nuxt text to="">

    </v-btn> -->
    <!-- <v-btn class="d-none d-md-inline-flex" nuxt text to="">

    </v-btn> -->
    <v-divider vertical class="d-none d-md-inline-flex mx-3 align-self-center" style="height: 33px; min-height: 0" />
    <v-btn class="d-none d-md-inline-flex mr-2" nuxt text to="/favorites" color="accent">
      <v-icon left>
        {{ icons.mdiHeartOutline }}
      </v-icon>
      <span class="subtitle-1 font-weight-light text-capitalize">
        My Favorites
      </span>
    </v-btn>
    <app-bar-sign-in />
  </v-app-bar>
</template>

<script lang="ts">
import {
  mdiFrequentlyAskedQuestions, mdiAccountVoice, mdiSackPercent,
  mdiHeartOutline, mdiHeart
} from '@mdi/js'
import { defineComponent, ref, computed } from '@vue/composition-api'
import AppComparison from '@/components/AppComparison.vue'
import AppBarSignIn from '@/components/AppBarSignIn.vue'

const icons = {
  mdiFrequentlyAskedQuestions,
  mdiAccountVoice,
  mdiSackPercent,
  mdiHeartOutline,
  mdiHeart
}
export default defineComponent({
  name: 'AppBar',
  components: { AppComparison, AppBarSignIn },
  setup (_, { root: { $store } }) {
    const drawer = ref(false)
    const showCompare = computed<boolean>(() => $store.getters['properties/isComparing'])

    return { drawer, showCompare, showSheet: ref(false), icons }
  }
})
</script>

<style lang="scss">
@import '~vuetify/src/styles/styles.sass';

.img-positioning > *{
  height: 46px;
}
</style>
